<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'AI Writer') }} | @yield('title')</title>

    <!-- Fonts -->
    <link rel="stylesheet" href="https://fonts.bunny.net/css2?family=Nunito:wght@400;600;700&display=swap">
    <link href="{{ asset('assets/components.css') }}" rel="stylesheet">
    <script src="{{ asset('assets/components.js') }}"></script>
    <script src="{{ asset('js/alpine.js') }}" defer> </script>
    <script src="https://unpkg.com/@grammarly/editor-sdk?clientId={{ env('GRAMMARLY_KEY') }}"></script>
    
 

    <x-head.tinymce-config />
    <!-- Styles -->

    @livewireStyles
</head>

<body class="antialiased font-sans bg-gray-200 overflow-scroll">
    <div class="" style="">
        <div class="min-h-[712px] bg-gray-100">

            <div class="min-h-full">
                <header class="bg-indigo-900 pb-24" x-data="Components.popover({ open: false, focus: true })"
                    x-init="init()" @keydown.escape="onEscape" @close-popover-group.window="onClosePopoverGroup">
                    <div class="mx-auto max-w-3xl px-4 sm:px-6 lg:max-w-7xl lg:px-8">
                        <div class="relative flex items-center justify-center py-5 lg:justify-between">
                            <!-- Logo -->
                            <div class="absolute left-0 flex-shrink-0 lg:static">
                                <a href="{{url('/')}}">
                                    <span class="sr-only">{{ config('app.name', 'Laravel') }}</span>
                                    <img class="h-8 w-auto" src="{{ asset('dashboard-logo.webp') }}" alt="{{ config('app.name', 'Wrytr') }}">
                                </a>
                            </div>

                            <!-- Right section on desktop -->
                            <div class="hidden lg:ml-4 lg:flex lg:items-center lg:pr-0.5">
                                

                                <!-- Profile dropdown -->
                                <div x-data="Components.menu({ open: false })" x-init="init()"
                                    @keydown.escape.stop="open = false; focusButton()" @click.away="onClickAway($event)"
                                    class="relative ml-4 flex-shrink-0">
                                    <div>
                                        <button type="button"
                                            class="flex rounded-full bg-white text-sm ring-2 ring-white ring-opacity-20 focus:outline-none focus:ring-opacity-100"
                                            id="user-menu-button" x-ref="button" @click="onButtonClick()"
                                            @keyup.space.prevent="onButtonEnter()"
                                            @keydown.enter.prevent="onButtonEnter()" aria-expanded="false"
                                            aria-haspopup="true" x-bind:aria-expanded="open.toString()"
                                            @keydown.arrow-up.prevent="onArrowUp()"
                                            @keydown.arrow-down.prevent="onArrowDown()">
                                            <span class="sr-only">Open user menu</span>
                                            <img class="h-8 w-8 rounded-full"
                                                src="{{Auth::user()->profile_photo_url}}" alt="{{Auth::user()->name}}">
                                        </button>
                                    </div>

                                    <div x-show="open" x-transition:leave="transition ease-in duration-75"
                                        x-transition:leave-start="transform opacity-100 scale-100"
                                        x-transition:leave-end="transform opacity-0 scale-95"
                                        class="absolute -right-2 z-10 mt-2 w-48 origin-top-right rounded-md bg-white py-1 shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none"
                                        x-ref="menu-items" x-description="Dropdown menu, show/hide based on menu state."
                                        x-bind:aria-activedescendant="activeDescendant" role="menu"
                                        aria-orientation="vertical" aria-labelledby="user-menu-button" tabindex="-1"
                                        @keydown.arrow-up.prevent="onArrowUp()"
                                        @keydown.arrow-down.prevent="onArrowDown()" @keydown.tab="open = false"
                                        @keydown.enter.prevent="open = false; focusButton()"
                                        @keyup.space.prevent="open = false; focusButton()" style="display: none;">

                                        <a href="{{ route('profile.show') }}" class="block px-4 py-2 text-sm text-gray-700" x-state:on="Active"
                                            x-state:off="Not Active" :class="{ 'bg-gray-100': activeIndex === 0 }"
                                            role="menuitem" tabindex="-1" id="user-menu-item-0"
                                            @mouseenter="activeIndex = 0" @mouseleave="activeIndex = -1"
                                            @click="open = false; focusButton()">{{ __('Profile') }}</a>

                                            <a href="{{ route('my-blogs') }}" class="block px-4 py-2 text-sm text-gray-700" x-state:on="Active"
                                            x-state:off="Not Active" :class="{ 'bg-gray-100': activeIndex === 1 }"
                                            role="menuitem" tabindex="-1" id="user-menu-item-1"
                                            @mouseenter="activeIndex = 1" @mouseleave="activeIndex = -1"
                                            @click="open = false; focusButton()">{{ __('My Blogs') }}</a>

                                        

                                            <form class="block px-4 py-2 text-sm text-gray-700" x-state:on="Active"
                                        x-state:off="Not Active" :class="{ 'bg-gray-100': activeIndex === 2 }"
                                        role="menuitem" tabindex="-1" id="user-menu-item-2"
                                        @mouseenter="activeIndex = 2" @mouseleave="activeIndex = -1"method="POST" action="{{route('logout')}}">
    @csrf
   
    <button type="submit" @click="open = false; focusButton()">Sign out</button>

                                    

                                        </form>
                                            

                                    </div>

                                </div>
                            </div>

                            <!-- Search -->
                            <div class="min-w-0 flex-1 px-12 lg:hidden">
                                <div class="mx-auto w-full max-w-xs">
                                    <label for="desktop-search" class="sr-only">Search</label>
                                    <div class="relative text-white focus-within:text-gray-600">
                                        <div
                                            class="pointer-events-none absolute inset-y-0 left-0 flex items-center pl-3">
                                            <svg class="h-5 w-5" x-description="Heroicon name: mini/magnifying-glass"
                                                xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"
                                                fill="currentColor" aria-hidden="true">
                                                <path fill-rule="evenodd"
                                                    d="M9 3.5a5.5 5.5 0 100 11 5.5 5.5 0 000-11zM2 9a7 7 0 1112.452 4.391l3.328 3.329a.75.75 0 11-1.06 1.06l-3.329-3.328A7 7 0 012 9z"
                                                    clip-rule="evenodd"></path>
                                            </svg>
                                        </div>
                                        <input id="desktop-search"
                                            class="block w-full rounded-md border border-transparent bg-white bg-opacity-20 py-2 pl-10 pr-3 leading-5 text-gray-900 placeholder-white focus:border-transparent focus:bg-opacity-100 focus:placeholder-gray-500 focus:outline-none focus:ring-0 sm:text-sm"
                                            placeholder="Search" type="search" name="search">
                                    </div>
                                </div>
                            </div>

                            <!-- Menu button -->
                            <div class="absolute right-0 flex-shrink-0 lg:hidden">
                                <!-- Mobile menu button -->
                                <button type="button"
                                    class="inline-flex items-center justify-center rounded-md bg-transparent p-2 text-indigo-200 hover:bg-white hover:bg-opacity-10 hover:text-white focus:outline-none focus:ring-2 focus:ring-white"
                                    @click="toggle" @mousedown="if (open) $event.preventDefault()" aria-expanded="false"
                                    :aria-expanded="open.toString()">
                                    <span class="sr-only">Open main menu</span>
                                    <svg x-state:on="Menu open" x-state:off="Menu closed" class="block h-6 w-6"
                                        :class="{ 'hidden': open, 'block': !(open) }"
                                        x-description="Heroicon name: outline/bars-3" xmlns="http://www.w3.org/2000/svg"
                                        fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor"
                                        aria-hidden="true">
                                        <path stroke-linecap="round" stroke-linejoin="round"
                                            d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5"></path>
                                    </svg>
                                    <svg x-state:on="Menu open" x-state:off="Menu closed" class="hidden h-6 w-6"
                                        :class="{ 'block': open, 'hidden': !(open) }"
                                        x-description="Heroicon name: outline/x-mark" xmlns="http://www.w3.org/2000/svg"
                                        fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor"
                                        aria-hidden="true">
                                        <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12">
                                        </path>
                                    </svg>
                                </button>
                            </div>
                        </div>
                        <div class="border-t border-white border-opacity-20 py-5 lg:block">
                            <div class="grid grid-cols-3 items-center gap-8">
                                <div class="col-span-2">
                                    
                                </div>
                                <div>
                                    <div class="mx-auto w-full max-w-md">
                                        <label for="mobile-search" class="sr-only">Search</label>
                                       
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="lg:hidden" x-description="Mobile menu, show/hide based on mobile menu state.">

                        <div x-show="open" x-transition:enter="duration-150 ease-out"
                            x-transition:enter-start="opacity-0" x-transition:enter-end="opacity-100"
                            x-transition:leave="duration-150 ease-in" x-transition:leave-start="opacity-100"
                            x-transition:leave-end="opacity-0"
                            x-description="Mobile menu overlay, show/hide based on mobile menu state."
                            class="fixed inset-0 z-20 bg-black bg-opacity-25" @click="toggle" aria-hidden="true"
                            style="display: none;"></div>



                        <div x-show="open" x-transition:enter="duration-150 ease-out"
                            x-transition:enter-start="opacity-0 scale-95" x-transition:enter-end="opacity-100 scale-100"
                            x-transition:leave="duration-150 ease-in" x-transition:leave-start="opacity-100 scale-100"
                            x-transition:leave-end="opacity-0 scale-95"
                            x-description="Mobile menu, show/hide based on mobile menu state."
                            class="absolute inset-x-0 top-0 z-30 mx-auto w-full max-w-3xl origin-top transform p-2 transition"
                            x-ref="panel" @click.away="open = false" style="display: none;">
                            <div
                                class="divide-y divide-gray-200 rounded-lg bg-white shadow-lg ring-1 ring-black ring-opacity-5">
                                <div class="pt-3 pb-2">
                                    <div class="flex items-center justify-between px-4">
                                        <div>
                                            <img class="h-8 w-auto" src="" alt="{{ config('app.name', 'Laravel') }}">
                                        </div>
                                        <div class="-mr-2">
                                            <button type="button"
                                                class="inline-flex items-center justify-center rounded-md bg-white p-2 text-gray-400 hover:bg-gray-100 hover:text-gray-500 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500"
                                                @click="toggle">
                                                <span class="sr-only">Close menu</span>
                                                <svg class="h-6 w-6" x-description="Heroicon name: outline/x-mark"
                                                    xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
                                                    stroke-width="1.5" stroke="currentColor" aria-hidden="true">
                                                    <path stroke-linecap="round" stroke-linejoin="round"
                                                        d="M6 18L18 6M6 6l12 12"></path>
                                                </svg>
                                            </button>
                                        </div>
                                    </div>
                                    
                                </div>
                                <div class="pt-4 pb-2">
                                    <div class="flex items-center px-5">
                                        <div class="flex-shrink-0">
                                            <img class="h-10 w-10 rounded-full"
                                                src="{{Auth::user()->profile_photo_url}}" alt="{{Auth::user()->name}}">
                                        </div>
                                        <div class="ml-3 min-w-0 flex-1">
                                            <div class="truncate text-base font-medium text-gray-800">{{Auth::user()->name}}</div>
                                            <div class="truncate text-sm font-medium text-gray-500">{{Auth::user()->email}}</div>
                                        </div>
                                       
                                    </div>
                                    <div class="mt-3 space-y-1 px-2">

                                        <a href="{{ route('profile.show') }}"
                                            class="block rounded-md px-3 py-2 text-base font-medium text-gray-900 hover:bg-gray-100 hover:text-gray-800">Your
                                            Profile</a>

                                         <a href="{{ route('my-blogs') }}"
                                            class="block rounded-md px-3 py-2 text-base font-medium text-gray-900 hover:bg-gray-100 hover:text-gray-800">My
                                            Blogs</a>   
                                        <form  class="block rounded-md px-3 py-2 text-base font-medium text-gray-900 hover:bg-gray-100 hover:text-gray-800" method="POST" action="{{route('logout')}}">
                                        @csrf
                                        <button type="submit"
                                            class="">Sign
                                            out</button>
                                        </form>


                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                </header>
                <main class="-mt-24 pb-8">

                {{ $slot }}    
                
                </main>
                <footer class="bottom-0 mx-auto max-w-3xl px-4 sm:px-6 lg:max-w-7xl lg:px-8" style="width: 100%;">
  <div class="border-t border-gray-200 py-8 text-center text-sm text-gray-500 sm:text-left"><span class="block sm:inline">© 2023 {{ config('app.name', 'AI Writer') }}.</span> <span class="block sm:inline">All rights reserved.</span></div>
</footer>

            </div>

        </div>
    </div>



    
    @stack('modals')

    @livewireScripts
</body>

</html>