<div class="mx-auto max-w-3xl px-4 sm:px-6 lg:max-w-7xl lg:px-8">
    <h1 class="sr-only">Page title</h1>



    <!-- Main 3 column grid -->
    <div class="grid grid-cols-1 items-start gap-4 lg:grid-cols-3 lg:gap-8">
        <!-- Left column -->
        <div class="grid grid-cols-1 gap-4">
            <section aria-labelledby="section-2-title">
                <h2 class="sr-only" id="section-2-title">Section title</h2>
                <div class="overflow-hidden rounded-lg bg-white shadow">
                    <div class="p-6">

                        <form wire:submit.prevent="createPost" class="mx-auto max-w-sm">


                            <div class="mb-4">
                                <label class="block font-bold mb-2 text-gray-700" for="language">Language</label>
                                
                              
                                <select wire:model="language"
                                    class="block w-full bg-gray-200 text-gray-700 border border-gray-300 p-2 rounded-md leading-tight focus:outline-none focus:shadow-outline-blue focus:border-blue-300"
                                    id="language">
                                    <option>
                                        <emoji class="inline-block h-4 w-6 mr-4" role="img" aria-label="English flag">
                                            🇬🇧</emoji>
                                        English
                                    </option>
                                    <option>
                                        <emoji class="inline-block h-4 w-6 mr-4" role="img" aria-label="Spanish flag">
                                            🇪🇸</emoji>
                                        Spanish
                                    </option>
                                    <option>
                                        <emoji class="inline-block h-4 w-6 mr-4" role="img" aria-label="French flag">
                                            🇫🇷</emoji>
                                        French
                                    </option>
                                    <option>
                                        <emoji class="inline-block h-4 w-6 mr-4" role="img" aria-label="German flag">
                                            🇩🇪</emoji>
                                        German
                                    </option>
                                    <option>
                                        <emoji class="inline-block h-4 w-6 mr-4" role="img" aria-label="Chinese flag">
                                            🇨🇳</emoji>
                                        Chinese
                                    </option>
                                </select>
                                
                
                                
                                

                            </div>
                            <div class="mb-4">
                                <label class="block text-sm font-medium text-gray-700 mb-2" for="blog_title">Post Title*</label>
                                @error('blogTitle') <span class="text-red-500">{{ $message }}</span> @enderror
                                <input
                                        class="w-full p-2 rounded-md bg-gray-200 border border-gray-300 leading-tight focus:outline-none focus:shadow-outline-blue focus:border-blue-300"
                                        wire:model="blogTitle" id="blogTitle" type="text"
                                        placeholder="Enter a title for your post.">
                            </div>
                            <div class="hidden mb-4">
                                <label class="block font-bold mb-2 text-gray-700" for="keywords">Focus Keywords
                                    <span class="text-gray-500">(separated with a
                                        comma)</span></label>
                                <input
                                    class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                                    id="keywords" type="text" placeholder="My Awesome Blog Post">
                            </div>

                            

                            
                            
                            <div>
    <label class="block text-sm font-medium text-gray-700 mb-2" for="subheadings">Post Sub-headings* <span class="text-gray-500">(minimum 3)</span></label>
    @error('sectionTitles') <span class="text-red-500">{{ $message }}</span> @enderror

    <input
        class="w-full p-2 rounded-md bg-gray-200 border border-gray-300 leading-tight focus:outline-none focus:shadow-outline-blue focus:border-blue-300 mb-4"
        wire:model="sectionTitles.0" id="subheading" type="text" placeholder="Introduction"
        x-ref="subheading" x-bind:class="{ 'mb-4': subheadings.length > 0 }">
    
        @foreach($sectionTitles as $index => $sectionTitle)
            @if($index > 0)
            
                <input
                    class="w-full p-2 rounded-md bg-gray-200 border border-gray-300 leading-tight focus:outline-none focus:shadow-outline-blue focus:border-blue-300 mb-4"
                    wire:model="sectionTitles.{{ $index }}"  type="text"
                    placeholder="Section Title {{ $index }}">
            @endif
        @endforeach

    <button
        class="bg-indigo-500 hover:bg-indigo-700 text-white font-bold py-2 px-4 mb-4 rounded focus:outline-none focus:shadow-outline"
        type="button" x-show="subheadings.length < 3" wire:click="addSubheading">
        Add Subheading
    </button>
</div>
                           



                            
                            <div class="flex items-center justify-between">
                                <button
                                    class="bg-indigo-500 hover:bg-indigo-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
                                    type="submit">
                                    Submit
                                </button>
                            </div>
                        </form>



                    </div>
                </div>
            </section>
        </div>



      
        

        <!-- Right column -->
        <div class="grid grid-cols-1 gap-4 lg:col-span-2">
            <section aria-labelledby="section-1-title">
                <h2 class="sr-only" id="section-1-title">Section title</h2>
                <div class="overflow-hidden rounded-lg bg-white shadow">
                <div class="pl-6 pr-6 pt-6">
                @include('flash-message')   
                @error('content') <span class="text-red-500">{{ $message }}</span> @enderror
                @if (session()->has('success'))
                <div class="bg-green-500 text-white py-3 px-4 rounded-lg font-bold text-center mt-4">
                    {{ session()->get('success') }}
                </div>
                @endif
                </div>
                <div wire:loading.remove wire:target="createPost" class="p-2">
                    <div wire:loading.remove wire:target="postToWordPress" class="p-2">
                     
                    <x-forms.tinymce wire:model="content" placeholder="Blog content will show here..." />   

                    </div>
</div>

<div class="mr-4 pb-6 flex justify-end">
    <div class="pl-6 pr-6 pt-6">
    <div class="flex items-center mb-4">
      <div class="mr-4">
        <select wire:model="blog" class="block appearance-none w-full bg-white border border-gray-400 hover:border-gray-500 px-4 py-2 pr-8 rounded shadow leading-tight focus:outline-none focus:shadow-outline" id="blog">
        <option value="">Select your option</option>
          @foreach($userblogs as $blog)
          <option value="{{$blog->id}}">{{ $blog->wp_blog_name }}</option>
          @endforeach
        </select>
        
      </div>
      <div>
        <select wire:model="publishStatus" class="block appearance-none w-full bg-white border border-gray-400 hover:border-gray-500 px-4 py-2 pr-8 rounded shadow leading-tight focus:outline-none focus:shadow-outline" id="publish_status">
          <option>Draft</option>
          <option>publish</option>
        </select>
        
      </div>
      <div class="ml-4">
        <button wire:click="postToWordPress" type="submit" class="bg-indigo-500 hover:bg-indigo-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
            Post To Wordpress
        </button>
      </div>
    </div>
</div>

</div>
                    <!-- <div class="mr-4 pb-6 flex justify-end">
    <button wire:click="postToWordPress" type="submit" class="bg-indigo-500 hover:bg-indigo-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline">
        Post To Wordpress
    </button>
</div> -->

                </div>

                
            </section>


<div wire:loading wire:target="createPost" >        
<div class="fixed top-0 left-0 right-0 bottom-0 w-full h-screen overflow-hidden bg-gray-700 opacity-75 flex flex-col items-center justify-center">
            <div class="loader ease-linear rounded-full border-4 border-t-4 border-gray-200 h-12 w-12 mb-4"></div>
  <h2 class="text-center text-white text-xl font-semibold">Loading...</h2>
  <p class="w-1/3 text-center text-white">Generating Blog Post, this may take a few seconds, please don't close this page.</p>
</div>
</div>

<div wire:loading wire:target="postToWordPress" >        
<div class="fixed top-0 left-0 right-0 bottom-0 w-full h-screen overflow-hidden bg-gray-700 opacity-75 flex flex-col items-center justify-center">
            <div class="loader ease-linear rounded-full border-4 border-t-4 border-gray-200 h-12 w-12 mb-4"></div>
  <h2 class="text-center text-white text-xl font-semibold">Loading...</h2>
  <p class="w-1/3 text-center text-white">Posting your content to Wordpress, this may take a few seconds, please don't close this page.</p>
</div>
</div>

<style>
    .loader {
	border-top-color: #3498db;
	-webkit-animation: spinner 1.5s linear infinite;
	animation: spinner 1.5s linear infinite;
}

@-webkit-keyframes spinner {
	0% {
		-webkit-transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(360deg);
	}
}

@keyframes spinner {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}
    </style>


        </div>

    </div>


</div>